fit-PC Users Forum
https://www.fit-pc.com/forum/

EMGD 1.16 driver on Linux Mint 13 MATE
https://www.fit-pc.com/forum/viewtopic.php?f=68&t=2991
Page 2 of 5

Author:  BuZz [ Sun Nov 18, 2012 5:15 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

Are you allowed to hand out the sources yet ? I run http://joggler.exotica.org.uk and would be very interested in building new emgd packages and trying them out. Been waiting ages for an emgd update!

So they still didn't make any drivers for a newer Xserver ? shame. Hopefully though they have fixed some issues that were apparent on the Joggler though.

ftoth: I should think it will crash / not work if you use that option. It did in the past.

I notice on the Mint 13 instructions you use wildcard in your apt pinning. As far as I was aware, that shouldn't work - has apt been updated to include more flexible wildcard support ? see http://forums.debian.net/viewtopic.php?t=46206 for example.

my preferences.d/ pin file for the Joggler is a lot larger, but I'm sure I tried wildcards and it didn't work before.

Author:  BuZz [ Sun Nov 18, 2012 6:45 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

I just thought actually, I guess I can grab the emgd source from your dkms package :)

Author:  ftoth [ Sun Nov 18, 2012 1:53 pm ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

BuZz wrote:

ftoth: I should think it will crash / not work if you use that option. It did in the past.



The option is already used in the auto-generated xorg.conf (for the downgraded xorg). I don't see why...

BTW
1 - the kernel module builds nicely with linux-3.5 from quantal
2 - the dkms module still has an old bug (is present in gma500 ppa, jools wills ppa): when you have 2 kernels installed it builds both times for the running kernel (both time the same, which is wrong, the other kernel module will not be able to load). It looks like the kernel version is not correctly passed down.

Ferry

Author:  BuZz [ Sun Nov 18, 2012 8:17 pm ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

I suck at debian packaging ;-)

although I found a bug I fixed which probably wont make a difference when I submit the next version to my ppa :)

Author:  BuZz [ Mon Nov 19, 2012 4:48 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

regarding the option, the config doesnt need it when running against 1.9 xserver. the abi matches. try it against say xserver 1.12 or something and you most likely get a failure.

Author:  Denis [ Mon Nov 19, 2012 10:03 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

Quote:
the dkms module still has an old bug (is present in gma500 ppa, jools wills ppa): when you have 2 kernels installed it builds both times for the running kernel (both time the same, which is wrong, the other kernel module will not be able to load). It looks like the kernel version is not correctly passed down.

Thanks for the report, it's fixed now. I've updated the link to correct emgd-dkms_1.16.3196.deb both on the forum and the wiki page.

Author:  BuZz [ Mon Nov 19, 2012 6:50 pm ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

please can you make the source packages available also, if this is a bug in my debian packaging also, it would be very useful.

Author:  Denis [ Tue Nov 20, 2012 9:58 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

Sources of emgd-dkms you can find in emgd-dkms_1.16.3196.deb itself, emgd-bin comes as binary files, we have no sources for it.

Author:  BuZz [ Tue Nov 20, 2012 7:33 pm ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

I mean the packaging source. not the emgd sources. I'm referring to the deb-src not the final debs so the result of debuild -S or just the unbuilt packages zipped up. Much appreciated.

Author:  Denis [ Wed Nov 21, 2012 8:50 am ]
Post subject:  Re: EMGD 1.16 driver on Linux Mint 13 MATE

I have not packaging source for them, .deb files were created manually with dpkg-deb -b tool.

Page 2 of 5 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/